Bug 995792 - systemd: cron jobs result in multiple "Started session"/"Stopped session" messages
systemd: cron jobs result in multiple "Started session"/"Stopped session" mes...
Status: CLOSED DUPLICATE of bug 911766
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 1185862 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 02:58 EDT by udo
Modified: 2017-07-25 18:27 EDT (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 18:27:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2013-08-11 02:58:28 EDT
Description of problem:
audit-related logging ends up in /var/log/messages where it has no place: two lines of non-failures should be logged elsewhere and/or at a lower loglevel

Version-Release number of selected component (if applicable):
audit-2.3.2-1.fc19.x86_64

How reproducible:
run F19, check /var/log/messages every now and then

Actual results:
See below

Expected results:
No such logging.

Additional info:
Aug 11 03:16:36 surfplank2 kernel: [394314.894090] type=1130 audit(1376183796.005:845): pid=1 uid=0 auid=4294967295 ses=4294967295
Aug 11 03:16:36 surfplank2 kernel: [394314.894090]  msg=' comm="mrtg" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 11 03:16:37 surfplank2 kernel: [394316.727726] type=1131 audit(1376183797.841:846): pid=1 uid=0 auid=4294967295 ses=4294967295
Aug 11 03:16:37 surfplank2 kernel: [394316.727726]  msg=' comm="mrtg" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Comment 1 udo 2013-08-11 03:05:38 EDT
When we go from runlevel 5 to 3 we see:

auditd[13030]: The audit daemon is exiting.

Why?
Afterwards all the audit logging ends up in /var/log/messages until we enter runlevel 5 again (via a reboot in this case).
Comment 2 Steve Grubb 2013-08-13 10:12:30 EDT
I'm not sure what the problem is here. If auditing is enabled and and auditd is not running, the kernel printk's it to syslog. That has been the design since the 2.6.6 kernel. As for why the daemon exits when switching runlevels? I have no idea. Its most likely s systemd problem.
Comment 3 udo 2013-08-13 14:47:16 EDT
Please explain me how to make sure that systemd is the cause or please explain yourself and put the bug through to them.
Comment 4 Steve Grubb 2013-08-13 15:21:34 EDT
Well, the audit daemon has no idea that you are going from runlevel 5 to 3. It only reacts to signals being sent to it. Systemd is the only thing that knows a runlevel change is taking place and issues signals to daemons to stop them or start them as appropriate.
Comment 5 udo 2013-08-14 02:04:09 EDT
We use systemd-204-9.fc19.x86_64.
We see audit exit when going from runlevel 5 to 3.
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-08-14 15:46:06 EDT
udo: can you paste the output from 'systemctl show auditd'?
Comment 7 udo 2013-08-15 00:46:53 EDT
Id=auditd.service
Names=auditd.service
Conflicts=shutdown.target
Before=systemd-update-utmp-shutdown.service systemd-update-utmp-runlevel.service crond.service sshd.service sysinit.target shutdown.target
After=local-fs.target systemd-journald.socket
Description=Security Auditing Service
LoadState=loaded
ActiveState=inactive
SubState=dead
FragmentPath=/usr/lib/systemd/system/auditd.service
UnitFileState=disabled
InactiveExitTimestampMonotonic=0
ActiveEnterTimestampMonotonic=0
ActiveExitTimestampMonotonic=0
InactiveEnterTimestampMonotonic=0
CanStart=yes
CanStop=no
CanReload=yes
CanIsolate=no
StopWhenUnneeded=no
RefuseManualStart=no
RefuseManualStop=yes
AllowIsolate=no
DefaultDependencies=no
OnFailureIsolate=no
IgnoreOnIsolate=no
IgnoreOnSnapshot=no
NeedDaemonReload=no
JobTimeoutUSec=0
ConditionTimestampMonotonic=0
ConditionResult=no
Type=simple
Restart=no
NotifyAccess=none
RestartUSec=100ms
TimeoutUSec=1min 30s
TimeoutStartUSec=1min 30s
TimeoutStopUSec=1min 30s
WatchdogUSec=0
WatchdogTimestampMonotonic=0
StartLimitInterval=10000000
StartLimitBurst=5
StartLimitAction=none
ExecStart={ path=/sbin/auditd ; argv[]=/sbin/auditd -n ; ignore_errors=no ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
ExecStartPost={ path=/sbin/auditctl ; argv[]=/sbin/auditctl -R /etc/audit/audit.rules ; ignore_errors=yes ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
ExecReload={ path=/bin/kill ; argv[]=/bin/kill -HUP $MAINPID ; ignore_errors=no ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
PermissionsStartOnly=no
RootDirectoryStartOnly=no
RemainAfterExit=no
GuessMainPID=yes
MainPID=0
ControlPID=0
Result=success
UMask=0022
LimitCPU=18446744073709551615
LimitFSIZE=18446744073709551615
LimitDATA=18446744073709551615
LimitSTACK=18446744073709551615
LimitCORE=18446744073709551615
LimitRSS=18446744073709551615
LimitNOFILE=4096
LimitAS=18446744073709551615
LimitNPROC=56857
LimitMEMLOCK=65536
LimitLOCKS=18446744073709551615
LimitSIGPENDING=56857
LimitMSGQUEUE=819200
LimitNICE=0
LimitRTPRIO=0
LimitRTTIME=18446744073709551615
OOMScoreAdjust=0
Nice=0
IOScheduling=0
CPUSchedulingPolicy=0
CPUSchedulingPriority=0
TimerSlackNSec=50000
CPUSchedulingResetOnFork=no
NonBlocking=no
StandardInput=null
StandardOutput=journal
StandardError=inherit
TTYReset=no
TTYVHangup=no
TTYVTDisallocate=no
SyslogPriority=30
SyslogLevelPrefix=yes
SecureBits=0
CapabilityBoundingSet=18446744073709551615
MountFlags=0
PrivateTmp=no
PrivateNetwork=no
SameProcessGroup=no
ControlGroupModify=no
ControlGroupPersistent=no
IgnoreSIGPIPE=yes
NoNewPrivileges=no
KillMode=control-group
KillSignal=15
SendSIGKILL=yes
ExecMainStartTimestampMonotonic=0
ExecMainExitTimestampMonotonic=0
ExecMainPID=0
ExecMainCode=0
ExecMainStatus=0
DefaultControlGroup=name=systemd:/system/auditd.service
ControlGroups=cpu:/system/auditd.service name=systemd:/system/auditd.service
Comment 8 Lennart Poettering 2013-09-12 15:34:00 EDT
what does "systemctl show runlevel3.target" and "systemctl show runlevel5.target" show you? (I am only interested in the dependencies of these units, so only paste the upper part of the output please)
Comment 9 udo 2013-09-13 10:09:49 EDT
# systemctl show runlevel3.target
Id=multi-user.target
Names=multi-user.target runlevel4.target runlevel3.target runlevel2.target
Requires=basic.target
Wants=sendmail.service nfs-idmap.service smartd.service xrdp.service nut-server.service cpupower.service cups.path motion.service abrt-xorg.service lm_sensors.service remote-fs.target rpcbind.service rsyslog
RequiredBy=graphical.target
Conflicts=rescue.service rescue.target shutdown.target
Before=graphical.target systemd-update-utmp-runlevel.service
After=basic.target rescue.service rescue.target rpcbind.service rsyslog.service avahi-daemon.service getty.target rc-local.service plymouth-quit-wait.service dbus.service systemd-user-sessions.service plymou
Documentation=man:systemd.special(7)
Description=Multi-User System
[cut]

# systemctl show runlevel5.target
Id=graphical.target
Names=runlevel5.target graphical.target default.target
Requires=multi-user.target
Wants=gdm.service systemd-update-utmp-runlevel.service systemd-readahead-collect.service systemd-readahead-replay.service squeezeboxserver.service
Conflicts=rescue.target shutdown.target
Before=systemd-update-utmp-runlevel.service systemd-readahead-done.timer systemd-readahead-done.service
After=multi-user.target gdm.service squeezeboxserver.service
Documentation=man:systemd.special(7)
Description=Graphical Interface
[cut]
Comment 10 udo 2013-09-14 09:28:52 EDT
Better paste:

Id=multi-user.target
Names=multi-user.target runlevel4.target runlevel3.target runlevel2.target
Requires=basic.target
Wants=sendmail.service nfs-idmap.service smartd.service xrdp.service nut-server.service cpupower.service cups.path motion.service abrt-xorg.service lm_sensors.service remote-fs.target rpcbind.service rsyslog.service atd.service gpm.service ntpd.service nut-monitor.service avahi-daemon.service ldattach@ttyS2.service sm-client.service sshd.service ntpdate.service crond.service httpd.service irqbalance.service getty.target abrt-vmcore.service abrtd.service mysqld.service openct.service network.service mrtg.timer rc-local.service systemd-logind.service plymouth-quit-wait.service systemd-ask-password-wall.path dbus.service systemd-user-sessions.service plymouth-quit.service systemd-update-utmp-runlevel.service squeezeboxserver.service
RequiredBy=graphical.target
Conflicts=rescue.service rescue.target shutdown.target
Before=graphical.target systemd-update-utmp-runlevel.service
After=basic.target rescue.service rescue.target rpcbind.service rsyslog.service avahi-daemon.service getty.target rc-local.service plymouth-quit-wait.service dbus.service systemd-user-sessions.service plymouth-quit.service systemd-logind.service mrtg.timer openct.service mysqld.service abrtd.service abrt-vmcore.service irqbalance.service httpd.service crond.service ntpdate.service sshd.service sm-client.service ldattach@ttyS2.service nut-monitor.service ntpd.service gpm.service atd.service lm_sensors.service abrt-xorg.service motion.service cups.path cpupower.service nut-server.service xrdp.service smartd.service nfs-idmap.service sendmail.service fedora-configure.service remote-fs.target network.service squeezeboxserver.service
Documentation=man:systemd.special(7)
Description=Multi-User System
[cut]

Id=graphical.target
Names=runlevel5.target graphical.target default.target
Requires=multi-user.target
Wants=gdm.service systemd-update-utmp-runlevel.service systemd-readahead-collect.service systemd-readahead-replay.service squeezeboxserver.service
Conflicts=rescue.target shutdown.target
Before=systemd-update-utmp-runlevel.service systemd-readahead-done.timer systemd-readahead-done.service
After=multi-user.target gdm.service squeezeboxserver.service
Documentation=man:systemd.special(7)
Description=Graphical Interface
[cut]
Comment 11 udo 2013-10-06 11:06:54 EDT
Was the info OK?
Do you need more?
Is there a patch I can test?
Comment 12 udo 2013-12-24 09:47:45 EST
Also: (fedora 20..)

Dec 24 09:01:02 recorder systemd: Starting Session 23 of user root.
Dec 24 09:01:05 recorder systemd: Started Session 23 of user root.
 
Loads of them! (!!)
Saying exactly nothing: Why was the session started? By who(m)/what?
Same as the dbus logging lacking the same stuff and thus being of little use.

Please find a better place / different loglevel / etc.
Comment 13 udo 2013-12-25 01:22:30 EST
More weird stuff on F20:

Dec 25 00:01:01 recorder systemd: Starting Session 42 of user root.
Dec 25 00:01:03 recorder systemd: Started Session 42 of user root.
Dec 25 00:04:01 recorder systemd: Starting Session 43 of user mythtv.
Dec 25 00:04:01 recorder systemd: Started Session 43 of user mythtv.
Dec 25 01:01:02 recorder systemd: Starting Session 44 of user root.
Dec 25 01:01:04 recorder systemd: Started Session 44 of user root.
Dec 25 02:01:01 recorder systemd: Starting Session 45 of user root.
Dec 25 02:01:03 recorder systemd: Started Session 45 of user root.
Dec 25 03:01:01 recorder systemd: Starting Session 46 of user root.
Dec 25 03:01:02 recorder systemd: Started Session 46 of user root.
Dec 25 03:38:44 recorder systemd: Reexecuting.
Dec 25 03:38:45 recorder systemd: systemd 208 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ)
Dec 25 03:38:46 recorder systemd: [/usr/lib/systemd/system/rtkit-daemon.service:32] Unknown lvalue 'ControlGroup' in section 'Service'
Dec 25 03:38:46 recorder systemd: Created slice Root Slice.
Dec 25 03:38:47 recorder systemd: Listening on LVM2 metadata daemon socket.
Dec 25 03:38:47 recorder systemd: Mounted /.
Dec 25 03:38:47 recorder systemd: Reached target Sound Card.
Dec 25 03:38:47 recorder systemd: Found device LVM PV iqUZZe-WrsC-uLIk-vDWp-fazS-Xevb-K0o9SL on /dev/sda3.
Dec 25 03:38:47 recorder systemd: Found device LVM PV iqUZZe-WrsC-uLIk-vDWp-fazS-Xevb-K0o9SL on /dev/sda3.
Dec 25 03:38:47 recorder systemd: Started LVM2 PV scan on device 8:3.
Dec 25 04:01:01 recorder systemd: Starting Session 47 of user root.
Dec 25 04:01:01 recorder systemd: Started Session 47 of user root.
Dec 25 04:41:02 recorder systemd: Starting Session 48 of user mythtv.
Dec 25 04:41:03 recorder systemd: Started Session 48 of user mythtv.
Dec 25 05:01:01 recorder systemd: Starting Session 49 of user root.
Dec 25 05:01:01 recorder systemd: Started Session 49 of user root.
Dec 25 05:04:01 recorder systemd: Starting Session 50 of user mythtv.
Dec 25 05:04:01 recorder systemd: Started Session 50 of user mythtv.
Dec 25 06:01:02 recorder systemd: Starting Session 51 of user root.
Dec 25 06:01:02 recorder systemd: Started Session 51 of user root.
Dec 25 07:01:02 recorder systemd: Starting Session 52 of user root.
Dec 25 07:01:02 recorder systemd: Started Session 52 of user root.
Dec 25 07:05:01 recorder systemd: Starting Session 53 of user mythtv.
Dec 25 07:05:01 recorder systemd: Started Session 53 of user mythtv.

- Various sessions that I did not start: why/what/how/sourc/etc?!?! Is my box hacked? The logging doesn't tell me.
- at 03:38 for some reason (not me) it is re-executing: why?
- What about the rtkit lvalue? 
- What slice?
- What mount for / ? This is a running system, no mounting needed except when I need it.
- What sound card? This is a running system, no adjustign needed except when I need it.
- What PV scan? LV stuff? This is a running system, the disk never went away. Disks are a kernel thing.
- Various sessions that I did not start...

So it all looks like it needs an explanation first and then maybe some fixing.
Comment 14 vedeheme 2014-01-05 02:50:18 EST
Same problem for me since update to fedora 20 (fedup --network 20).
Each hour +1 minute +1 second I have this message:

Jan  5 07:01:01 asus systemd[1]: Starting Session 43 of user root.
Jan  5 07:01:01 asus systemd[1]: Started Session 43 of user root.

I can't explain why this occurs because there is nothing in crontab.
Comment 15 Chris Tatman 2014-01-05 21:18:50 EST
Hi,

Not sure if related, but I just installed F20 on a system and set up some cron jobs.  These error messages seem to occur in the syslogs at the same time the cron job is being executed.


==> /var/log/messages <==
Jan  5 21:15:01 localhost systemd: Starting Session 42 of user root.
Jan  5 21:15:01 localhost systemd: Started Session 42 of user root.

==> /var/log/cron <==
Jan  5 21:15:01 localhost CROND[6634]: (root) CMD (/root/dos/blockit.sh)

--Chris
Comment 16 Steve Grubb 2014-01-08 10:52:26 EST
Not sure what is happening. If the sessions are related to /proc/self/sessionid, these are intended to be used only when there is a transition through a system entry point for a user (rather than a service). The entry points can be sshd, gdm, kdm, login, ftpd, or crond. Crond might be the source of these extra sessions. However, session knowledge should only be known to the kernel and it only sends these to the audit system in a different format.
Comment 17 gr88gxp 2014-01-08 22:05:02 EST
Every hour 

systemd[1]: Starting Session 107 of user root.
Jan 08 18:01:01  systemd[1]: Started Session 107 of user root.
Jan 08 18:01:01  CROND[32730]: (root) CMD (run-parts /etc/cron.hourly)
Jan 08 18:01:01  run-parts[32733]: (/etc/cron.hourly) starting 0anacron
Jan 08 18:01:01  anacron[32738]: Anacron started on 2014-01-08
Jan 08 18:01:01  anacron[32738]: Normal exit (0 jobs run)
Jan 08 18:01:01  run-parts[32740]: (/etc/cron.hourly) finished 0anacron
Comment 18 Leszek Matok 2014-01-23 11:05:08 EST
I went through a ssh brute force attack to my freshly installed F20 this morning, so I've installed DenyHosts. Half an hour later I see log entries like:

Jan 23 16:01:01 pensja systemd: Starting Session 14 of user root.
Jan 23 16:01:01 pensja systemd: Started Session 14 of user root.

This really got me scared. Root session that I can't see in secure log or `last`, good thing I found this bug! Indeed /var/log/cron confirms:

Jan 23 16:01:01 pensja CROND[6764]: (root) CMD (run-parts /etc/cron.hourly)

Phew! :)
Comment 19 udo 2014-01-23 11:18:42 EST
So indeed these systemd session loggings do add nothing that has already been logged elsewhere.
The confusion is a negative bonus.
Comment 20 udo 2014-02-28 11:26:40 EST
Also in Fedora 20:

Feb 27 19:01:05 recorder systemd: Starting Session 2143 of user root.
Feb 27 19:01:05 recorder systemd: Started Session 2143 of user root.
Feb 27 19:05:02 recorder systemd: Starting Session 2144 of user mythtv.
Feb 27 19:05:02 recorder systemd: Started Session 2144 of user mythtv.
Feb 27 20:01:03 recorder systemd: Starting Session 2145 of user root.
Feb 27 20:01:03 recorder systemd: Started Session 2145 of user root.
Feb 27 21:01:04 recorder systemd: Starting Session 2146 of user root.
Feb 27 21:01:04 recorder systemd: Started Session 2146 of user root.
Feb 27 22:01:04 recorder systemd: Starting Session 2147 of user root.
Feb 27 22:01:04 recorder systemd: Started Session 2147 of user root.
Feb 27 23:01:05 recorder systemd: Starting Session 2148 of user root.
Feb 27 23:01:05 recorder systemd: Started Session 2148 of user root.
Feb 27 23:05:02 recorder systemd: Starting Session 2149 of user mythtv.
Feb 27 23:05:02 recorder systemd: Started Session 2149 of user mythtv.
Feb 28 00:01:06 recorder systemd: Starting Session 2150 of user root.
Feb 28 00:01:07 recorder systemd: Started Session 2150 of user root.
Feb 28 00:04:01 recorder systemd: Starting Session 2151 of user mythtv.
Feb 28 00:04:01 recorder systemd: Started Session 2151 of user mythtv.
Feb 28 01:01:05 recorder systemd: Starting Session 2152 of user root.
Feb 28 01:01:05 recorder systemd: Started Session 2152 of user root.
Feb 28 02:01:05 recorder systemd: Starting Session 2153 of user root.
Feb 28 02:01:05 recorder systemd: Started Session 2153 of user root.
Feb 28 03:01:04 recorder systemd: Starting Session 2154 of user root.
Feb 28 03:01:04 recorder systemd: Started Session 2154 of user root.
Feb 28 04:01:02 recorder systemd: Starting Session 2155 of user root.
Feb 28 04:01:03 recorder systemd: Started Session 2155 of user root.
Feb 28 04:41:05 recorder systemd: Starting Session 2156 of user mythtv.

1) the same idotic situation of two lines per event, as if that action could fail to start, as if we could miss that detail
2) and do we really need this stuff in /var/log/messages? before systemd came we had /var/log/secure or something. stuff was in easy to find places instead of a grabbag situation.

Please make /var/log/messages SANE again.
Comment 21 udo 2014-03-27 13:00:20 EDT
Any updates? Progress? Planning? 
Do you need logs? Input?
Comment 22 udo 2014-06-22 13:36:24 EDT
Any patches we can try? Maybe configuration thingies?
Comment 23 Zbigniew Jędrzejewski-Szmek 2014-06-22 16:53:14 EDT
audit.service being killed is a direct result of #708537. audit.service gets killed because it is not WantedBy or RequiredBy runlevel 2, aka multi-user.target. But this problem is not specific to audit.service, it is a problem in systemd. This bug has a lot of additional noise, so let's move the discussion about that there.

WRT. to logs about user sessions: no change so far.
Comment 24 udo 2014-06-22 22:27:42 EDT
Are we sure we need to change the title of the bug?
The logging of systemd is a pervasive issue: every logging is done in the same manner.
Starting xxxx
Started xxxx
etc.
And then we are not looking at log level or log file that logging is being pushed into.
Comment 25 Zbigniew Jędrzejewski-Szmek 2014-06-22 23:00:45 EDT
This logging is done at level LOG_INFO. It is off if you boot with quiet or use systemd-analyze set-log-level notice (or higher). There's not trouble with filtering it, and I think that it is expected that systemd provides some logs for starting and stopping units, this being the main purpose and goal of systemd.

The only problem is when units are started repeatedly and often. cron is the biggest offender here, so I think the rename is appropriate.
Comment 26 udo 2014-06-23 09:56:26 EDT
Another reminder:
Back in the days before systemd stuff simply worked without too many messages.
See the old fstab and the messages it generated as it was processed.
Same with cron: no noise in /var/log/messages (today /var/log/messages also carries .xinit-errors ; as of yet unsolved!)
Same with starting SysV stuff.
Please use that situation (wayyyy less noise...) as a reference to work towards with this behemoth called systemd. (because: what will it never do?)
Thank you.
Comment 27 udo 2014-08-15 05:49:42 EDT
Any updates?
Any extra info needed?
Any patches I could try?
systemd-208-21.fc20.x86_64 did not fix this issue.
Comment 28 Sebastian YEPES F. 2014-08-17 09:51:06 EDT
I have also seen this with the "systemd-208-11.el7_0.2.x86_64" its just flooding the messages logfile with cron start/stop session
Comment 29 Michael Jørgensen 2014-10-17 16:55:33 EDT
I see the same on my system. I've discovered, that it is the sysstat package that is responsible.

On my system, the file /etc/cron.d/sysstat contains the following:
# Run system activity accounting tool every 10 minutes
*/10 * * * * root /usr/lib64/sa/sa1 1 1
# 0 * * * * root /usr/lib64/sa/sa1 600 6 &
# Generate a daily summary of process accounting at 23:53
53 23 * * * root /usr/lib64/sa/sa2 -A

This indeed causes two lines in /var/log/messages every ten minutes.
Comment 30 Oneti Messo 2014-11-12 21:29:36 EST
The following annoying messages seemed to be generated by cron job on my system.

systemd: Starting Session xxx of user yyy.
systemd: Started Session xxx of user yyy.

I got rid of them by commenting out the following line in /etc/rsyslog.conf

# $ModLoad imjournal # provides access to the systemd journal

Not sure if this will also disable other potentially useful info generated by systemd.
Comment 31 Fedora End Of Life 2015-01-09 14:24:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Zbigniew Jędrzejewski-Szmek 2015-01-27 17:03:12 EST
*** Bug 1185862 has been marked as a duplicate of this bug. ***
Comment 33 Jaroslav Reznik 2015-03-03 09:59:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 34 udo 2015-03-14 09:39:18 EDT
It has been reported against Fedora 19. 
Changing it to rawhide will not do anything except keep bugzapper of my back.
So thanks for that!
Please report progress, patches or anything I or we could test.
Please note Comment 24, fixing the issue for cron only is not enough.
Comment 35 Dominique Brazziel 2015-05-28 21:27:34 EDT
Also lots of 'Starting Session' messages for various cron jobs (sysstat, logcheck, etc.) and backups running under backuppc.  I found a remedy from
https://bugzilla.redhat.com/show_bug.cgi?id=1072368 
and 
http://lists.freedesktop.org/archives/systemd-devel/2014-June/019853.html
Comment 36 Voja Molan 2015-09-29 23:51:37 EDT
Still no fix to this madness?

Figures, taking into account who is at the helm of this abomination.. he knows best, we know nothing.
Comment 37 udo 2016-03-03 10:37:21 EST
Any progress?
Updates?

Patches we can test?(In reply to Zbigniew Jędrzejewski-Szmek from comment #25)
> The only problem is when units are started repeatedly and often. cron is the
> biggest offender here, so I think the rename is appropriate.

We have some stuff like that.
mrtg. sysstat, etc.
The default loglevel is way too high.
Nice for development and testing.
Not so for production.
Not at all UNIX-like.
Comment 38 udo 2016-03-03 10:40:10 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #25)
> This logging is done at level LOG_INFO. It is off if you boot with quiet or
> use systemd-analyze set-log-level notice (or higher).

How to make this a default?
Comment 39 udo 2016-03-09 00:13:54 EST
Despite changing the log-level I still get multiples of these:

Mar  9 06:10:01 epia systemd: Cannot add dependency job for unit dnf-makecache.timer, ignoring: Unit dnf-makecache.timer is masked.

This is very un-UNIX. This message adds no information, uses too many words and wastes space. This is not an error so should be invisible at notice log-level.
Comment 40 udo 2016-03-21 12:12:13 EDT
Mar 21 16:59:09 surfplank2 systemd: Cannot add dependency job for unit systemd-journald-audit.socket, ignoring: Unit systemd-journald-audit.socket is masked.
Mar 21 16:59:09 surfplank2 systemd: Cannot add dependency job for unit systemd-journald-audit.socket, ignoring: Unit systemd-journald-audit.socket is masked.
Mar 21 16:59:09 surfplank2 systemd: Cannot add dependency job for unit dnf-makecache.timer, ignoring: Unit dnf-makecache.timer is masked.

Why do we get multiple lines with the same mesage?
How to mask those as they do not really add any info and do not have to repeated again and again. They might be nice for debugging but are unnecessary for production use.
Comment 41 Fedora End Of Life 2016-07-19 14:50:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 42 udo 2016-10-14 04:03:33 EDT
Any updates? Patches? Configurations?
Stuff we could try?
Comment 43 Fedora End Of Life 2016-11-24 06:01:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 44 Fedora End Of Life 2017-07-25 14:34:28 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 45 Zbigniew Jędrzejewski-Szmek 2017-07-25 18:27:45 EDT

*** This bug has been marked as a duplicate of bug 911766 ***

Note You need to log in before you can comment on or make changes to this bug.